<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.Configuration']}</h1>
        <h:form id="form">
            <gri:panel id="globalPanel" style="width:100%;height:100%;">
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ConfigurationOfXCPDINITSimulator']}</f:facet>
                <h:outputText
                        value="#{messages['net.ihe.gazelle.xdstar.ThisPageLetsTheAdministratorToConfigureTheApplic']} "/>
                <br/>
                <br/>
                <div class="form-horizontal">
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="hcidtext"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.HomeCommunityID']}</ui:define>
                        <h:inputText id="hcidtext" value="#{configurationManager.homeCommunityID}"
                                     styleClass="form-control"/>
                    </s:decorate>
                    <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                        <ui:param name="id" value="svwsdltext"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.SchematronValidatorWSDL']}</ui:define>
                        <h:inputText id="svwsdltext" value="#{configurationManager.schematronValidator}"
                                     styleClass="form-control"/>
                    </s:decorate>
                </div>
                <br/>
                <gri:panel pid="tabpanconf">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XCPDRequestParameters']}</f:facet>
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-horizontal">
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="famtext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Family']}</ui:define>
                                    <h:inputText id="famtext" value="#{configurationManager.family}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="roottext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Root']}</ui:define>
                                    <h:inputText id="roottext" value="#{configurationManager.root}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="streettext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Street']}</ui:define>
                                    <h:inputText id="streettext" value="#{configurationManager.street}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-horizontal">
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="givtext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Given']}</ui:define>
                                    <h:inputText id="givtext" value="#{configurationManager.given}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="extenstext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Extension']}</ui:define>
                                    <h:inputText id="extenstext" value="#{configurationManager.extension}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="citytext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.City']}</ui:define>
                                    <h:inputText id="citytext" value="#{configurationManager.city}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-horizontal">
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="birtdtext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Birthdate']}</ui:define>
                                    <h:inputText id="birtdtext" value="#{configurationManager.birthdate}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="gendtext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Gender']}</ui:define>
                                    <h:inputText id="gendtext" value="#{configurationManager.gender}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="countrtext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Country']}</ui:define>
                                    <h:inputText id="countrtext" value="#{configurationManager.country}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-horizontal">
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="postcodext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.PostalCode']}</ui:define>
                                    <h:inputText id="postcodext" value="#{configurationManager.postalcode}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-horizontal">
                                <ui:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                                    <ui:param name="id" value="mnametext"/>
                                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MaidenName_2']}</ui:define>
                                    <h:inputText id="mnametext" value="#{configurationManager.maidenname}"
                                                 styleClass="form-control"/>
                                </ui:decorate>
                            </div>
                        </div>
                    </div>
                </gri:panel>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.SaveModifications']}" styleClass="gzl-btn-green"
                                   id="saveButton" actionListener="#{configurationManager.saveVariables()}"
                                   render="messageDecoration"/>
            </gri:panel>

        </h:form>
    </ui:define>
</ui:composition>
